Múltiples vulnerabilidades en Ethereal

SeguridadVirus

Se han identificado hasta 28 vulnerabilidades en Ethereal, que pueden ser aprovechadas por atacantes remotos para provocar denegaciones de servicio o comprometer los sistemas vulnerables.

Ethereal es una aplicación de auditoría orientada al análisis de tráfico en redes, que goza de mucha popularidad, ya que está disponible en múltiples plataformas, soporta una gran cantidad de protocolos y es de fácil manejo.

Los fallos encontrados se deben a bucles infinitos, off-by-one, y desbordamiento de búfer que afectan a los analizadores de protocolos H.248, UMA, X.509if, SRVLOC, H.245, COPS, ALCAP, AIM, RPC, DCERPC, ASN.1, SMB PIPE, BER, SNDCP, telnet, DCERPC NT, y PER, así como a la impresión OID printing, al contador de estadísticas, Network Instruments, y módulos NetXray/Windows Sniffer.

Estas vulnerabilidades pueden ser aprovechados para ejecutar código arbitrario o provocar denegaciones de servicio a través de ficheros de trazas malformados.

Las versiones afectadas son Ethereal 0.8.5 hasta la 0.10.14, se recomienda actualizar a la versión 0.99.0 desde: http://www.ethereal.com/download.html#releases

Leer la biografía del autor  Ocultar la biografía del autor